@if (componentData$ | async; as componentData) {
  @if (referentialDataService.isPremiumPluginInstalled$ | async) {
    <div
      class="full-height full-width icon-container current-workspace-main-color __hover_pointer"
    >
      <sqtm-core-toggle-icon
        style="margin-top: 2px"
        [attr.data-test-toolbar-button-id]="'dataset-copy-button'"
        [active]="true"
        (clickedInActiveMode)="showCopyMenu()"
        nz-popover
        [nzPopoverVisible]="menuVisible$ | async"
        [nzPopoverContent]="contentTemplate"
        [nzPopoverTrigger]="'click'"
        [nzPopoverPlacement]="'left'"
      >
        <i
          nz-icon
          nzType="sqtm-core-generic:copy"
          nzTheme="outline"
          nzTooltipPlacement="bottom"
          class="table-icon-size"
        ></i>
      </sqtm-core-toggle-icon>
    </div>
  }
  <ng-template #contentTemplate>
    <a
      class="copy-menu-link m-b-10"
      (click)="copyDataset(componentData)"
      [class.disabled]="!canCopy(componentData)"
      [attr.data-test-link-id]="'duplicate-dataset'"
    >
      {{
        'sqtm-core.test-case-workspace.dataset-table.datasets.duplicate'
          | translate
      }}
    </a>
    <a
      class="copy-menu-link"
      (click)="copyToAnotherTestCase(componentData)"
      [attr.data-test-link-id]="'copy-to-another-tc'"
    >
      {{
        'sqtm-core.test-case-workspace.dataset-table.datasets.copy-to-another-tc'
          | translate
      }}</a
    >
  </ng-template>
}
